Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:           upstart
Version:        0.6.6
Release:        1
Epoch:		1
Summary:        An event-driven init system
Group:          System/Base
License:        GPLv2+
URL:            http://upstart.ubuntu.com
Source0:        http://upstart.ubuntu.com/download/0.6/upstart-%{version}.tar.gz
Source201:	events.5
Patch0:		upstart-ccux-customize.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	i686
Obsoletes: 	sysvinit < 2.86-5
Provides: 	sysvinit = 2.86-5
Requires:	sysvinit-tools
BuildRequires:  gettext

BuildRequires:  libnih-devel

#Automatically resolved build dependencies
BuildRequires: dbus-devel
BuildRequires: glibc-devel

%description
Upstart is an event-based replacement for the /sbin/init daemon which
handles starting of tasks and services during boot, stopping them
during shutdown and supervising them while the system is running.

%post
# clean up old /etc/event.d directory which would otherwise
# continue to exist at least until the next update of the 
# upstart package thanks to "noreplace" tag
[ -e /etc/event.d ] && rm -rf /etc/event.d || :

%prep
%setup -q
%patch0 -p1

%build
%configure --sbindir=/sbin --libdir=/%{_lib} --enable-threads=posix --enable-threading
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

mkdir -p %{buildroot}/%{_mandir}/man5
install -m 644 %{SOURCE201} %{buildroot}/%{_mandir}/man5/events.5

# libupstart and libnih aren't shipped
rm -f %{buildroot}/%{_lib}/libupstart.*
rm -f %{buildroot}/%{_lib}/libnih.*
rm -f %{buildroot}/%{_includedir}/libnih.h
rm -f %{buildroot}/%{_includedir}/libupstart.h
rm -rf %{buildroot}/%{_includedir}/nih
rm -rf %{buildroot}/%{_includedir}/upstart
rm -rf %{buildroot}/%{_datadir}/aclocal/compiler.m4
rm -rf %{buildroot}/%{_datadir}/aclocal/linker.m4
rm -rf %{buildroot}/%{_datadir}/aclocal/misc.m4

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS
%doc COPYING
%doc NEWS
%doc README
%doc TODO
%doc HACKING
/sbin/halt
/sbin/init
/sbin/initctl
/sbin/poweroff
/sbin/reboot
/sbin/restart
/sbin/runlevel
/sbin/shutdown
/sbin/start
/sbin/status
/sbin/stop
/sbin/telinit
/sbin/reload
%{_mandir}/man5/events.5.gz
%{_mandir}/man5/init.5.gz
%{_mandir}/man5/inittab.5.gz
%{_mandir}/man7/control-alt-delete.7.gz
%{_mandir}/man7/keyboard-request.7.gz
%{_mandir}/man7/power-status-changed.7.gz
%{_mandir}/man7/runlevel.7.gz
%{_mandir}/man7/started.7.gz
%{_mandir}/man7/starting.7.gz
%{_mandir}/man7/startup.7.gz
%{_mandir}/man7/stopped.7.gz
%{_mandir}/man7/stopping.7.gz
%{_mandir}/man7/upstart.7.gz
%{_mandir}/man8/halt.8.gz
%{_mandir}/man8/init.8.gz
%{_mandir}/man8/initctl.8.gz
%{_mandir}/man8/poweroff.8.gz
%{_mandir}/man8/reboot.8.gz
%{_mandir}/man8/reload.8.gz
%{_mandir}/man8/restart.8.gz
%{_mandir}/man8/runlevel.8.gz
%{_mandir}/man8/shutdown.8.gz
%{_mandir}/man8/start.8.gz
%{_mandir}/man8/status.8.gz
%{_mandir}/man8/stop.8.gz
%{_mandir}/man8/telinit.8.gz

%{_sysconfdir}/dbus-1/system.d/Upstart.conf
%{_sysconfdir}/init/control-alt-delete.conf
%{_sysconfdir}/init/rc-sysinit.conf
%{_sysconfdir}/init/rc.conf
%{_sysconfdir}/init/rcS.conf



%changelog
* Mon May 03 2010 Karsten Brockmann <arcam@ccux-linux.de> 1:0.6.6-1
- Version update
* Tue Sep 15 2009 Karsten Brockmann <arcam@ccux-linux.de> 1:0.6.3-1
- Version update
* Fri Oct 24 2008 Christian Metzen <metzench@ccux-linux.de> 1:0.3.9-2
- cleaned requires
* Tue Oct 21 2008 Christian Metzen <metzench@ccux-linux.de> 1:0.3.9-1
- back to 0.3.9
* Tue Oct 21 2008 Christian Metzen <metzench@ccux-linux.de> 0.5.0-1
- Version update
* Tue May 27 2008 Christian Metzen <metzench@ccux-linux.de> 0.3.9-1
- Initial release
